#include "iostream"
using namespace std;

int stepen(int x, int k){
    int p = x;
    while(k!=0){
        x*=p;
        k--;
    }
}

int main(){
    long long V;
    cin >> V;
    int i;
    while(V!=0){
        long long P = V;
        int s=0;
        while(P!=0){
            s++;
            P/=10;
        }
        long long br = P % stepen(10, p-1);
        if(br>=5)
            br=5;
        else if(br>=2)
            br=2;
        else
            br=1;

        V=V%stepen(br, p-1);
        i++;
    }

    cout << i;
}